** DIVERS.PRG
**
**
FUNCTION Ctl3d(lOn, File3D_DLL)
   local hInst := _GetInstance()
   if (lOn .and. (M->hLibCtl3d == NIL))
      M->hLibCtl3d := LoadLibrary(File3D_DLL)
      if ((M->hLibCtl3d == NIL) .or. (M->hLibCtl3d < 32))
        //ShotInFoWindow("Erreur",{"Fichier CTL3D.DLL introuvable"})
         M->hLibCtl3d := NIL
      else
         Ctl3dRegister(hInst)
         Ctl3dAutoSubclass(hInst)
      endif
   elseif (!lOn .and. (M->hLibCtl3d != NIL))
      Ctl3dUnregister(hInst)
      FreeLibrary(M->hLibCtl3d)
      M->hLibCtl3d := NIL
   endif
return (NIL)
***************************
STATIC FUNCTION Ctl3dRegister(hInst)
   local cDLL := GetProcAddress(M->hLibCtl3d, "Ctl3dRegister", "Pascal",;
      "void", "int")
   CallDLL(cDLL, hInst)
return (NIL)
**************************************
STATIC FUNCTION Ctl3dAutoSubclass(hInst)
   local cDLL := GetProcAddress(M->hLibCtl3d, "Ctl3dAutoSubclass","Pascal", "void", "int")
   CallDLL(cDLL, hInst)
return (NIL)
*******************************
STATIC FUNCTION Ctl3dUnregister(hInst)
   local cDLL := GetProcAddress(M->hLibCtl3d, "Ctl3dUnregister", "Pascal","void", "int")
   CallDLL(cDLL, hInst)
return (NIL)
*******************************
*************
*************
************* FIN SOURCE
*************
*************
